Subject: [PATCH 0/2] ARM: dra7: Enable Errata i877

From: [email-masked] (Lokesh Vutla)
Date: Tue, 8 Mar 2016 09:23:03 +0530

On Tuesday 08 March 2016 05:26 AM, Paul Walmsley wrote:
> On Mon, 7 Mar 2016, Lokesh Vutla wrote:
> 
>> On Monday 07 March 2016 03:09 PM, Paul Walmsley wrote:
>>> On Thu, 3 Mar 2016, Lokesh Vutla wrote:
>>>
>>>> This series enables Errata i877 for all DRA7 platforms. The public errata
>>>> documentation can be found here[1].
>>>>
>>>> [1] http://www.ti.com/lit/er/sprz429h/sprz429h.pdf
>>>>
>>>> Lokesh Vutla (1):
>>>>   ARM: OMAP2+: hwmod: Introduce ti,no-idle dt property
>>>>
>>>> Mugunthan V N (1):
>>>>   ARM: dts: dra7: do not gate cpsw clock due to errata i877
>>>
>>> I've sent these for merging immediately. 
>>>
>>> Have you sent patches for U-boot yet?
>> Yes, It is already merged into u-boot.
>> http://git.denx.de/?p=u-boot.git;a=commitdiff;h=f986d9720836433ded29f06c8f5aed462bd20924;hp=65e9d56fb9ce9cfd7ffff7afaa6b7de50e400e06
> 
> I may be misreading this patch, but all it seems to do is add clock 
> control for GMAC.  It doesn't seem to force the clock to stay on.  What am 
> I missing?
So, this is an array containing clock controls which are needed very
early. This array will be passed to clock framework to enable all the
clocks. Just adding it to the array is sufficient.

Thanks and regards,
Lokesh

> - Paul